<#ibiztemplate>
FILENAME=log4j.properties
PUBOBJ=WebAppLog4J
</#ibiztemplate>
# log4j.properties
log4j.rootCategory=INFO, CONSOLE


log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
log4j.appender.CONSOLE.layout.ConversionPattern=%d{MM/dd HH:mm:ss} [%p] %m%n

# Default log location
#crystal.logs.home=${'$'}{user.home}

#log4j.appender.jpeAppender=org.apache.log4j.RollingFileAppender
#log4j.appender.jpeAppender.file=${'$'}{crystal.logs.home}/jpe.log

#log4j.appender.jpeAppender.ImmediateFlush=false
# number of log files to keep before deleting the oldest one
#log4j.appender.jpeAppender.MaxBackupIndex=30   
#log4j.appender.jpeAppender.MaxFileSize=500KB

# Log message layout: date-time [thread] priority category - message lineTerminator
#log4j.appender.jpeAppender.layout=org.apache.log4j.PatternLayout
#log4j.appender.jpeAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss} [%t] %-5p %c - %m%n
<#if sysrun.getLogBrokerUri()??>
log4j.appender.JMS1=net.ibizsys.paas.log.JMSQueueAppender
log4j.appender.JMS1.brokerUri=${sysrun.getLogBrokerUri()}
log4j.appender.JMS1.topicName=${sysrun.getLogTopicName()}
log4j.appender.JMS1.loggerType=SYSRUNLOG
log4j.appender.JMS1.loggerParam=${sys.id}
log4j.appender.JMS1.loggerParam2=${sys.getPSSysModelInstId()}
log4j.appender.JMS1.loggerParam3=${sysrun.getPSSysRunSessionId()}
log4j.appender.JMS1.loggerParam4=${sys.name}
log4j.appender.JMS1.layout=org.apache.log4j.PatternLayout
</#if>
# log4j.rootLogger=ERROR

# Covers all of the reporting engine
log4j.logger.org.apache.axis2=INFO, CONSOLE
log4j.additivity.org.apache.axis2=false

<#if sysrun.getLogBrokerUri()??>
log4j.logger.net.ibizsys=DEBUG, CONSOLE,JMS1
#log4j.logger.net.ibizsys=DEBUG, CONSOLE
<#else>
log4j.logger.net.ibizsys=DEBUG, CONSOLE
</#if>
log4j.additivity.net.ibizsys=false

log4j.logger.org.springframework=DEBUG, CONSOLE
log4j.additivity.org.springframework=false

log4j.logger.org.hibernate=DEBUG, CONSOLE
log4j.additivity.org.hibernate=false

# ---> More specific loggers can go here
# Log levels used by Log4j in ascending order are:
# debug, info, warn, error, and fatal

# Examples
#log4j.logger.com.crystaldecisions.reports.formulas=DEBUG